Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002416TestLinkKeywordspublic2009-04-22 18:132009-07-09 05:22
Reporterkvembu 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 4 
Fixed in Version1.8.2 
Summary0002416: Keyword Search Option.
DescriptionThere is an issue we found in Test Link-1.8 RC4 that Keyword Search option is not properly working while there is any empty test suite or any duplicate test suite added.
Steps:
1. Create few test cases with a Keyword under Test project >> Test Suite.
2. Add a empty test suite into the same test project.
3. Select the Keyword and try to filter.
4. Nothing will be listed.
5. Remove the empty test suite and try the filter.

Workaround - Do not add any blank/empty test suites, incase already added, add one dummy test case into empty test suite. Delete the duplicate test suite after taking backup/move the test cases to one test suite.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesjpg file icon testlink1.8.2_FilterOption.JPG [^] (20,124 bytes) 2009-05-21 11:26

- Relationships

-  Notes
(0006536)
fman (administrator)
2009-04-23 00:34

Please update to 1.8.2 ( will be released this week) and retest.
(0006732)
lieve (reporter)
2009-05-04 16:52

Retested with 1.8.2 and search works now.
(0006989)
kvembu (reporter)
2009-05-21 11:25

Hi, I upgraded my Test Link-1.8 RC4 to Test Link 1.8.2 by replacing files. After upgrading the Filter option under Specification went away. Please look the attached screen shot.
(0006996)
fman (administrator)
2009-05-21 23:03

@kvembu:
as you can see lieve has tested without problems.
I suggest you to do a FRESH INSTALL on a new directory and retest.,
sometimes compiled smarty templates present on template_c directory causes some problems
(0007468)
mhavlat (reporter)
2009-07-09 05:22

No response ... could be closed ;-)

- Issue History
Date Modified Username Field Change
2009-04-22 18:13 kvembu New Issue
2009-04-23 00:34 fman Note Added: 0006536
2009-04-23 00:34 fman Status new => feedback
2009-05-04 16:52 lieve Note Added: 0006732
2009-05-04 17:00 amitkhullar Status feedback => resolved
2009-05-04 17:00 amitkhullar Resolution open => no change required
2009-05-04 17:00 amitkhullar Assigned To => amitkhullar
2009-05-04 17:49 fman Status resolved => assigned
2009-05-04 17:49 fman Assigned To amitkhullar => fman
2009-05-04 17:49 fman Status assigned => resolved
2009-05-04 17:49 fman Fixed in Version => 1.8.2
2009-05-11 15:55 mhavlat Status resolved => closed
2009-05-21 11:25 kvembu Note Added: 0006989
2009-05-21 11:25 kvembu Status closed => assigned
2009-05-21 11:25 kvembu Resolution no change required => reopened
2009-05-21 11:26 kvembu File Added: testlink1.8.2_FilterOption.JPG
2009-05-21 23:03 fman Note Added: 0006996
2009-05-21 23:03 fman Status assigned => feedback
2009-07-09 05:22 mhavlat Note Added: 0007468
2009-07-09 05:22 mhavlat Status feedback => closed
2009-07-09 05:22 mhavlat Resolution reopened => fixed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker